Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Products Global by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "bought_past_month": 123
    }
  ]
}
'
[
  {
    "title": "Bluetooth Portable Speaker Waterproof",
    "url": "https://www.amazon.de/-/en/dp/B078TNNZK3",
    "asin": "B078TNNZK3",
    "price": 59.99,
    "currency": "EUR",
    "rating": 4.5,
    "reviews_count": 23400,
    "seller_name": "AudioWorld DE",
    "brand": "SoundMax",
    "availability": "In Stock",
    "main_image": "https://m.media-amazon.com/images/I/example-global.jpg",
    "description": "Waterproof portable speaker with 360-degree sound and 12-hour battery.",
    "category": "Electronics > Audio > Speakers",
    "country_domain": "amazon.de"
  }
]

Query Parameters

dataset_id
string
default:"gd_lwhideng15g8jg63s7"
required
The dataset ID used for this request.
Must be set to gd_lwhideng15g8jg63s7 to collect Products Global by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.amazon.de/-/en/dp/B078TNNZK3"},
    {"url": "https://www.amazon.co.jp/dp/B0CWV9YTLV"}
  ]
}
[
  {
    "title": "Bluetooth Portable Speaker Waterproof",
    "url": "https://www.amazon.de/-/en/dp/B078TNNZK3",
    "asin": "B078TNNZK3",
    "price": 59.99,
    "currency": "EUR",
    "rating": 4.5,
    "reviews_count": 23400,
    "seller_name": "AudioWorld DE",
    "brand": "SoundMax",
    "availability": "In Stock",
    "main_image": "https://m.media-amazon.com/images/I/example-global.jpg",
    "description": "Waterproof portable speaker with 360-degree sound and 12-hour battery.",
    "category": "Electronics > Audio > Speakers",
    "country_domain": "amazon.de"
  }
]